## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# This package has support for integrating with Pydantic, including tests that
# require Pydantic; but both python-pydantic-core and python-pydantic use
# python-inline-snapshot in their tests, creating a dependency cycle. We can
# break it by disabling the Pydantic integration tests during bootstrapping.
%bcond bootstrap 0
%bcond pydantic_tests %{without bootstrap}

Name:           python-inline-snapshot
Version:        0.18.2
Release:        %autorelease
Summary:        Golden master/snapshot/approval testing library

# SPDX
License:        MIT
URL:            https://github.com/15r10nk/inline-snapshot
Source:         %{pypi_source inline_snapshot}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  tomcli

%global common_description %{expand:
Golden master/snapshot/approval testing library which puts the values right
into your source code.}

%description %{common_description}


%package -n python3-inline-snapshot
Summary:        %{summary}

%description -n python3-inline-snapshot %{common_description}


%prep
%autosetup -n inline_snapshot-%{version} -p1

# Remove linters, typecheckers, formatters, coverage analysis tools, etc. from
# the “dev” dependency group so we can use it to generate BuildRequires.
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
tomcli set pyproject.toml lists delitem --no-first --type regex \
    dependency-groups.dev '(mypy|pyright|coverage)\b.*'
%if %{without pydantic_tests}
tomcli set pyproject.toml lists delitem --no-first --type regex \
    dependency-groups.dev '(pydantic)\b.*'
%endif


%generate_buildrequires
%pyproject_buildrequires -g dev


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l inline_snapshot


%check
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
ignore="${ignore-} --ignore=tests/test_typing.py"
%if %{without pydantic_tests}
ignore="${ignore-} --ignore=tests/test_pydantic.py"
%endif

# Ignore all DeprecationWarning messages; they may pop up from anywhere in our
# dependency tree, and this can cause tests that expect precisely-matching
# pytest output to fail unnecessarily.
export PYTHONWARNINGS='ignore::DeprecationWarning'

%pytest ${ignore-} -vv -rs


%files -n python3-inline-snapshot -f %{pyproject_files}
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri Jan 03 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.18.2-2
- Use the “dev” dependency group for generating test BR’s

* Fri Jan 03 2025 Packit <hello@packit.dev> - 0.18.2-1
- Update to 0.18.2 upstream release
- Resolves: rhbz#2335248

* Fri Jan 03 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.18.1-4
- Package CHANGELOG.md and README.md as documentation

* Fri Jan 03 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.18.1-3
- Print the reasons for skipped tests

* Sun Dec 22 2024 Packit <hello@packit.dev> - 0.18.1-1
- Update to 0.18.1 upstream release
- Resolves: rhbz#2333704

* Tue Dec 17 2024 Packit <hello@packit.dev> - 0.17.1-1
- Update to 0.17.1 upstream release
- Resolves: rhbz#2332890

* Sat Dec 14 2024 Packit <hello@packit.dev> - 0.17.0-1
- Update to 0.17.0 upstream release
- Resolves: rhbz#2331916

* Wed Dec 11 2024 Packit <hello@packit.dev> - 0.15.1-1
- Update to 0.15.1 upstream release
- Resolves: rhbz#2331536

* Wed Dec 11 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.15.0-2
- Revert "Simplify the Packit configuration"

* Tue Dec 10 2024 Packit <hello@packit.dev> - 0.15.0-1
- Update to 0.15.0 upstream release
- Resolves: rhbz#2331317

* Sat Dec 07 2024 Packit <hello@packit.dev> - 0.14.2-1
- Update to 0.14.2 upstream release
- Resolves: rhbz#2330965

* Wed Dec 04 2024 Packit <hello@packit.dev> - 0.14.1-1
- Update to 0.14.1 upstream release
- Resolves: rhbz#2330413

* Sat Nov 23 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.14.0-4
- Add a bootstrap bcond to break a dep. cycle with Pydantic 2.10

* Mon Nov 11 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.14.0-3
- Make tests less brittle by suppressing DeprecationWarning

* Mon Nov 11 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.14.0-2
- Increase pytest verbosity

* Sun Nov 10 2024 Packit <hello@packit.dev> - 0.14.0-1
- Update to 0.14.0 upstream release
- Resolves: rhbz#2325052

* Thu Nov 07 2024 Packit <hello@packit.dev> - 0.13.4-1
- Update to 0.13.4 upstream release
- Resolves: rhbz#2324303

* Tue Sep 24 2024 Packit <hello@packit.dev> - 0.13.3-1
- Update to 0.13.3 upstream release
- Resolves: rhbz#2314446

* Tue Sep 24 2024 Packit <hello@packit.dev> - 0.13.2-1
- Update to 0.13.2 upstream release
- Resolves: rhbz#2314418

* Sat Sep 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.13.1-1
- Update to 0.13.1

* Sat Sep 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.13.0-2
- Generate test dependencies rather than listing them manually

* Sat Sep 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.13.0-1
- Initial package (close RHBZ#2313221)
## END: Generated by rpmautospec
